<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 2;
$moduleName = $arrAllModule[$moduleId];

$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockNewsTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockNewsTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1;";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1;";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumbernews, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."news/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumbernews;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypenews);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumbernews;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumbernews;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}news where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumbernews;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrNewsList = '';
$kuArrNewsList = array();
$result = $dbInstance->query($strSql);
while($newsRow = $dbInstance->fetchArray($result))
{
  $newsRow['newsurl'] = $kuHttpPath."news/news.php?lang={$kuWebsiteCurrLanguage}&itemid={$newsRow['id']}";
  $newsRow['updatetime'] = substr($newsRow['updatetime'], 0, 10);
  $newsRow['addtime'] = substr($newsRow['addtime'], 0, 10);
  $kuArrNewsList[] = $newsRow;
  $kuNewsTitle = CommTool::cutstrutf8($newsRow['newstitle'], 70);
  $kuStrNewsList .= "<li><span class=\"right\">{$newsRow['updatetime']}</span><a href=\"{$newsRow['newsurl']}\" title=\"{$newsRow['newstitle']}\">{$kuNewsTitle}</a></li>";
}



$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('newslist');


?>